Subject: Re: bug#40725: 27.0.91; Tutorial reports false positive key rebindings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Apr 2020 22:57:57 +0300

> From: Kévin Le Gouguec <[email-masked]>
> Cc: Mattias Engdegård <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Fri, 24 Apr 2020 21:48:02 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Git handles renames gracefully.
> >
> > "Gracefully" is in the eyes of the beholder.  It's true the support
> > for renames improved in the recent years, but there are still commands
> > that either fails or need special invocation methods to work across
> > renames.  So it's still a source of inconvenience and occasional
> > failure or mistaken conclusions, and I'd like to avoid that if
> > possible.
> 
> Out of curiosity, would it help if VC turned on these "special
> invocation methods"[1] by default?

They have limitations, and quite a few are expensive.

> [1] I am thinking of git-log's --follow option and git-diff's
>     --find-rename option; I might be missing other knobs.

"git log"'s --follow only works for single files (and it also has
"--find-renames", which AFAIK is expensive).